/*
    Maemo Orientation Example - mainwindow.h

    Author(s):
    Timo Härkönen
*/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include "../../widgetcapabilities/qorientationcapability.h"

class QPushButton;
class QMenu;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);

public slots:
    void flip();
    void toggleOrientationChangeMode();

private:
    void createMenu();
    void createActions();

    QPushButton *button;
    Maemo::QOrientationCapability *orientation;
    bool landscape;
    QMenu *menu;
    QAction *quitAction;
    QAction *orientationChangeModeAction;


};
#endif
